MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000507XdebugUsage problems (Wrong Results)public2010-01-01 18:272010-01-11 11:17
Reporterotto 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0dev 
Target VersionFixed in Version 
Summary0000507: r3188 crashes on snow leopard
DescriptionHello,

I just tried to update to the latest revision. When I try to debug my program now apache crashes when I continue after the first breakpoint.

this is from apache/error_log:
child pid 5350 exit signal Segmentation fault (11)
Additional InformationI also get random crashed while viewing a simple phpinfo() page.

[notice] child pid 5378 exit signal Abort trap (6)
[notice] child pid 5430 exit signal Segmentation fault (11)

I didn't see any of these issues in the snapshot I used previously (from the middle of october)
TagsNo tags attached.
Operating Systemosx 10.6.2
PHP Version5.3.0
Attached Files

- Relationships

-  Notes
(0001244)
derick (administrator)
2010-01-02 22:55

Please provide a backtrace. See http://bugs.php.net/bugs-generating-backtrace.php [^] on how to do that. Please also make sure to do "make clean" as some header files are changed.
(0001259)
otto (reporter)
2010-01-07 09:57

I'm now running 2.1.0b1. I ran apache through gdb > run -X

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_INVALID_ADDRESS at address: 0x0000000000000010
0x00000001005f0f06 in xdebug_llist_insert_next (l=0x101b98100, e=0x0, p=0x101b98020) at /Users/ottob/Downloads/xdebug-2.1.0beta1/xdebug-2.1.0beta1/xdebug_llist.c:61
61 ne->next = e->next;
(gdb) bt
#0 0x00000001005f0f06 in xdebug_llist_insert_next (l=0x101b98100, e=0x0, p=0x101b98020) at /Users/ottob/Downloads/xdebug-2.1.0beta1/xdebug-2.1.0beta1/xdebug_llist.c:61
#1 0x00000001005e38e2 in xdebug_header_handler (h=0x7fff5fbff3f0, op=SAPI_HEADER_REPLACE, s=0x1018f3170) at /Users/ottob/Downloads/xdebug-2.1.0beta1/xdebug-2.1.0beta1/xdebug.c:2789
0000002 0x00000001012c02bb in sapi_header_op ()
0000003 0x00000001012c03cb in sapi_add_header_ex ()
0000004 0x00000001012b6948 in php_request_startup ()
0000005 0x000000010137cd8d in php_handler ()
0000006 0x0000000100001377 in ap_run_handler ()
0000007 0x0000000100001c56 in ap_invoke_handler ()
0000008 0x000000010002e814 in ap_process_request ()
0000009 0x000000010002b0bf in ap_process_http_connection ()
0000010 0x00000001000128d3 in ap_run_process_connection ()
0000011 0x0000000100012d6d in ap_process_connection ()
0000012 0x0000000100035482 in child_main ()
0000013 0x000000010003556c in make_child ()
0000014 0x0000000100035b3f in ap_mpm_run ()
0000015 0x00000001000099bd in main ()
(0001260)
otto (reporter)
2010-01-07 12:11
edited on: 2010-01-07 12:55

If I revert r3185 the crashes disappear.

(0001261)
Stefano (reporter)
2010-01-07 14:14

Hi,

I use the source from the Xdebug 2.1.0beta1 package which I found here [1]. After compiling XDebug the local vars are shown (and are not uninitialized) but Apache crashs.

Below you could find a backtrace.

[1] http://www.xdebug.org/download.php [^]


Process: httpd [89629]
Path: /opt/local/apache2/bin/httpd
Identifier: httpd
Version: ??? (???)
Code Type: X86-64 (Native)
Parent Process: httpd [214]

Date/Time: 2010-01-07 15:05:08.126 +0100
OS Version: Mac OS X 10.6.2 (10C540)
Report Version: 6

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: 0x000000000000000d, 0x0000000000000000
Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Thread 0 Crashed: Dispatch queue: com.apple.main-thread
0 xdebug.so 0x00000001019bef0e xdebug_llist_insert_next + 136
1 xdebug.so 0x00000001019b18ea xdebug_header_handler + 69
2 libphp5.so 0x0000000101181013 sapi_header_op + 1027
3 libphp5.so 0x0000000101181632 sapi_add_header_ex + 66
4 libphp5.so 0x000000010117670b php_request_startup + 427
5 libphp5.so 0x000000010125d749 php_handler + 1737
6 httpd 0x000000010000148b ap_run_handler + 123
7 httpd 0x000000010000330a ap_invoke_handler + 122
8 httpd 0x0000000100024d18 ap_process_request + 440
9 httpd 0x0000000100021988 ap_process_http_connection + 344
10 httpd 0x000000010000ebdb ap_run_process_connection + 123
11 httpd 0x00000001000295ad child_main + 957
12 httpd 0x000000010002985a make_child + 266
13 httpd 0x000000010002a15c ap_mpm_run + 2092
14 httpd 0x0000000100007e48 main + 2328
15 httpd 0x0000000100001064 start + 52

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x746b656a6f72702f rbx: 0x0000000000000017 rcx: 0x0000000000000013 rdx: 0x0000000102816980
  rdi: 0x0000000102800000 rsi: 0x00000000102816d1 rbp: 0x00007fff5fbff590 rsp: 0x00007fff5fbff560
   r8: 0x00000001028fc0a0 r9: 0x00000001028fc0a4 r10: 0x0000000000000013 r11: 0x00000000102816d2
  r12: 0x0000000102c091a7 r13: 0x00007fff5fbff650 r14: 0x000000010156df20 r15: 0x0000000000000000
  rip: 0x00000001019bef0e rfl: 0x0000000000000202 cr2: 0x0000000052f4d000

Binary Images:
       0x100000000 - 0x10003dfe7 +httpd ??? (???) <EDF0BF59-FDBD-B4D4-4E0F-F36E0F0FAA00> /opt/local/apache2/bin/httpd
       0x10006e000 - 0x10009afef +libpcre.0.dylib ??? (???) <8BD9BFE7-25B8-9D03-2F5A-BB82309771C5> /opt/local/lib/libpcre.0.dylib
       0x10009e000 - 0x1000b6ff7 +libaprutil-1.0.dylib ??? (???) <B2B0CC61-4C8C-0CEA-1923-90E55DB3C0AC> /opt/local/lib/libaprutil-1.0.dylib
       0x1000c0000 - 0x1001c1fef +libdb-4.6.dylib ??? (???) <937A4314-5488-A35B-4200-FC41FF4F0C72> /opt/local/lib/db46/libdb-4.6.dylib
       0x1001d8000 - 0x1001f7fff +libexpat.1.dylib ??? (???) <F9407D70-7CD5-6E2F-C446-CE14524C9996> /opt/local/lib/libexpat.1.dylib
       0x1001fe000 - 0x1002faff7 +libiconv.2.dylib ??? (???) <A27D1D71-44A7-76A7-41EB-CC4BAC91E740> /opt/local/lib/libiconv.2.dylib
       0x100307000 - 0x100327fff +libapr-1.0.dylib ??? (???) <5B785A1F-4252-E7B2-0598-8D8AA2E044B7> /opt/local/lib/libapr-1.0.dylib
       0x100352000 - 0x100352ff7 +mod_authn_file.so ??? (???) <C9C2B8D7-04FF-17C5-6CF6-69E6667624B3> /opt/local/apache2/modules/mod_authn_file.so
       0x100355000 - 0x100355fff +mod_authn_dbm.so ??? (???) <D86F1213-D859-CD41-FE43-31B67A11EBF7> /opt/local/apache2/modules/mod_authn_dbm.so
       0x100358000 - 0x100358fff +mod_authn_anon.so ??? (???) <E7A4A282-B7FB-2F7B-360E-3C07AAEA6E70> /opt/local/apache2/modules/mod_authn_anon.so
       0x10035b000 - 0x10035cfff +mod_authn_dbd.so ??? (???) <9D707E42-42B7-62D2-CA5D-09C5B5433584> /opt/local/apache2/modules/mod_authn_dbd.so
       0x10035f000 - 0x10035ffff +mod_authn_default.so ??? (???) <8392D967-5D39-00EB-B9BA-7A522D1F1077> /opt/local/apache2/modules/mod_authn_default.so
       0x100362000 - 0x100363ff7 +mod_authz_host.so ??? (???) <1D2B6D83-BC4B-228B-A74D-DC3003AB9242> /opt/local/apache2/modules/mod_authz_host.so
       0x100366000 - 0x100367fff +mod_authz_groupfile.so ??? (???) <534C2325-69FD-9E98-7332-C7FBEFF48F13> /opt/local/apache2/modules/mod_authz_groupfile.so
       0x10036a000 - 0x10036afff +mod_authz_user.so ??? (???) <A82E0A64-EAF2-DC78-AE29-257E798B321E> /opt/local/apache2/modules/mod_authz_user.so
       0x10036d000 - 0x10036dfff +mod_authz_dbm.so ??? (???) <2F44DEBA-6637-40DE-49EB-DFB16266B281> /opt/local/apache2/modules/mod_authz_dbm.so
       0x100370000 - 0x100370fff +mod_authz_owner.so ??? (???) <9A056056-CAA0-47DC-91AE-E23B1E92979C> /opt/local/apache2/modules/mod_authz_owner.so
       0x100373000 - 0x100373fff +mod_authz_default.so ??? (???) <3EB388FA-37B8-FF06-0D37-D05C861D5414> /opt/local/apache2/modules/mod_authz_default.so
       0x100376000 - 0x100376ff7 +mod_auth_basic.so ??? (???) <480DA03A-A983-EC53-100C-4A75C768A3BA> /opt/local/apache2/modules/mod_auth_basic.so
       0x100379000 - 0x10037dfff +mod_auth_digest.so ??? (???) <4B27D0BB-0D7E-2531-2888-73128394947B> /opt/local/apache2/modules/mod_auth_digest.so
       0x100381000 - 0x100382fff +mod_file_cache.so ??? (???) <7B80D579-BDFB-BC50-0112-51D8356F8048> /opt/local/apache2/modules/mod_file_cache.so
       0x100385000 - 0x10038aff7 +mod_cache.so ??? (???) <A32FF899-66CC-09CF-7FDD-71A5E58D4DEB> /opt/local/apache2/modules/mod_cache.so
       0x10038e000 - 0x100391fff +mod_disk_cache.so ??? (???) <DF194BEE-38B4-0816-9A9B-D8BE667F8753> /opt/local/apache2/modules/mod_disk_cache.so
       0x100395000 - 0x100398fff +mod_mem_cache.so ??? (???) <C770CB6F-3EBC-D4A0-A911-EDEC9C6B869C> /opt/local/apache2/modules/mod_mem_cache.so
       0x10039c000 - 0x10039eff7 +mod_dbd.so ??? (???) <3B24DCCA-5115-41AD-AA28-57D93996E2E2> /opt/local/apache2/modules/mod_dbd.so
       0x1003a1000 - 0x1003a2ff7 +mod_dumpio.so ??? (???) <B57D1F0F-BF75-1235-3508-7AAC5B4B7500> /opt/local/apache2/modules/mod_dumpio.so
       0x1003a5000 - 0x1003a7fff +mod_ext_filter.so ??? (???) <3064D880-05BF-9D05-DC5B-0E153F4331A9> /opt/local/apache2/modules/mod_ext_filter.so
       0x1003ab000 - 0x1003b2fff +mod_include.so ??? (???) <BF1D3795-601D-C24B-4C70-BD87F390D302> /opt/local/apache2/modules/mod_include.so
       0x1003b6000 - 0x1003b8ff7 +mod_filter.so ??? (???) <B6D88F75-7C22-12FE-3C9C-DB378521ACF1> /opt/local/apache2/modules/mod_filter.so
       0x1003bb000 - 0x1003bcfff +mod_substitute.so ??? (???) <E9F7CB54-AB67-4C54-90A2-36B93349C80A> /opt/local/apache2/modules/mod_substitute.so
       0x1003bf000 - 0x1003c2fff +mod_deflate.so ??? (???) <2ACA804A-7131-B56D-4F93-030628F31E23> /opt/local/apache2/modules/mod_deflate.so
       0x1003c6000 - 0x1003d8fe7 +libz.1.dylib ??? (???) <FD6C6564-A147-2870-62C9-4C38CD5D87C7> /opt/local/lib/libz.1.dylib
       0x1003dc000 - 0x1003dffff +mod_log_config.so ??? (???) <B237F0D9-7CB2-0C05-E1CA-4A4A569A8443> /opt/local/apache2/modules/mod_log_config.so
       0x1003e3000 - 0x1003e4fe7 +mod_log_forensic.so ??? (???) <B4A7E143-B8AA-7FAC-07A4-B04B4BAC2BF1> /opt/local/apache2/modules/mod_log_forensic.so
       0x1003e7000 - 0x1003e7ff7 +mod_logio.so ??? (???) <333FA502-C580-2F37-8107-EA1E1FC9B28A> /opt/local/apache2/modules/mod_logio.so
       0x1003ea000 - 0x1003eaff7 +mod_env.so ??? (???) <7A2EDB6E-5415-228E-2FAD-49E9211CBF39> /opt/local/apache2/modules/mod_env.so
       0x1003ed000 - 0x1003f0ff7 +mod_mime_magic.so ??? (???) <6C816C19-D5EF-9AED-BE36-BB554109AB8F> /opt/local/apache2/modules/mod_mime_magic.so
       0x1003f3000 - 0x1003f3fff +mod_cern_meta.so ??? (???) <E109EA8E-8407-747F-007E-2679F133054C> /opt/local/apache2/modules/mod_cern_meta.so
       0x1003f6000 - 0x1003f7ff7 +mod_expires.so ??? (???) <E38A58C2-3E2A-2EC9-870E-9243B4A917E7> /opt/local/apache2/modules/mod_expires.so
       0x1003fa000 - 0x1003fcfff +mod_headers.so ??? (???) <D10F44A7-E21F-3543-BB53-C67DB85A7E79> /opt/local/apache2/modules/mod_headers.so
       0x100500000 - 0x100501fff +mod_ident.so ??? (???) <5DBE523E-24F5-7B71-A8DC-030B83003993> /opt/local/apache2/modules/mod_ident.so
       0x100504000 - 0x100505ff7 +mod_usertrack.so ??? (???) <F8A54D4C-2432-D020-F2BF-1858D3E88B8E> /opt/local/apache2/modules/mod_usertrack.so
       0x100508000 - 0x100508fef +mod_unique_id.so ??? (???) <F5299EA3-2309-3D57-8699-D007C017A356> /opt/local/apache2/modules/mod_unique_id.so
       0x10050b000 - 0x10050cfff +mod_setenvif.so ??? (???) <998EB2AA-00CB-ADB7-9647-CDD9BBB93A56> /opt/local/apache2/modules/mod_setenvif.so
       0x10050f000 - 0x10050ffff +mod_version.so ??? (???) <163277EA-1719-1194-FBC5-BE8C960E2721> /opt/local/apache2/modules/mod_version.so
       0x100512000 - 0x100520fff +mod_proxy.so ??? (???) <AAB83D93-ACD3-97EA-E335-3DB2DF6C9A91> /opt/local/apache2/modules/mod_proxy.so
       0x100526000 - 0x100527fff +mod_proxy_connect.so ??? (???) <2BD25058-1A3D-788B-CBC3-769DAA952900> /opt/local/apache2/modules/mod_proxy_connect.so
       0x10052a000 - 0x10052ffff +mod_proxy_ftp.so ??? (???) <3695EDD8-6370-1BE0-AF51-FAC30708ED82> /opt/local/apache2/modules/mod_proxy_ftp.so
       0x100533000 - 0x100538fff +mod_proxy_http.so ??? (???) <BE77D428-5977-4516-ADAC-50D2BB654D87> /opt/local/apache2/modules/mod_proxy_http.so
       0x10053c000 - 0x100542ff7 +mod_proxy_ajp.so ??? (???) <524FDA1E-1F1E-0387-E1FA-62DC77324E2B> /opt/local/apache2/modules/mod_proxy_ajp.so
       0x100546000 - 0x10054aff7 +mod_proxy_balancer.so ??? (???) <3453F5CA-0BD2-AD2D-31DA-E3C388E44BC2> /opt/local/apache2/modules/mod_proxy_balancer.so
       0x10054e000 - 0x10056efef +mod_ssl.so ??? (???) <552217D8-8EAD-6568-B756-788F4D71D0EB> /opt/local/apache2/modules/mod_ssl.so
       0x10057d000 - 0x1005bcfff +libssl.0.9.8.dylib ??? (???) <4CAE5E5C-1361-E0D8-C293-5946C006B95A> /opt/local/lib/libssl.0.9.8.dylib
       0x1005d0000 - 0x1006e4fe7 +libcrypto.0.9.8.dylib ??? (???) <BD862376-8901-03C9-9CA3-B74AABC36EC7> /opt/local/lib/libcrypto.0.9.8.dylib
       0x100748000 - 0x10074afff +mod_mime.so ??? (???) <1C9C1A55-FC22-C7C3-232E-E7CE7A19B564> /opt/local/apache2/modules/mod_mime.so
       0x10074d000 - 0x10075fff7 +mod_dav.so ??? (???) <277E1305-EB2D-12A9-B1A8-B22314AD1637> /opt/local/apache2/modules/mod_dav.so
       0x100765000 - 0x100768fff +mod_status.so ??? (???) <B8C780ED-B586-8700-1F0D-865EA030AFD2> /opt/local/apache2/modules/mod_status.so
       0x10076b000 - 0x100770ff7 +mod_autoindex.so ??? (???) <31D6812B-BAC3-7321-E8F3-7C888A169DAA> /opt/local/apache2/modules/mod_autoindex.so
       0x100774000 - 0x100774fff +mod_asis.so ??? (???) <78EBF204-42B6-F4CC-2277-D71E937D196B> /opt/local/apache2/modules/mod_asis.so
       0x100777000 - 0x100779fff +mod_info.so ??? (???) <3976BB66-3988-4747-0986-DFE1C1133259> /opt/local/apache2/modules/mod_info.so
       0x10077c000 - 0x10077fff7 +mod_cgi.so ??? (???) <7E9029A8-3E25-22EA-B5B3-3D6556E5B594> /opt/local/apache2/modules/mod_cgi.so
       0x100783000 - 0x10078bfff +mod_dav_fs.so ??? (???) <97A08C22-333B-D43A-83D2-9FC4FA6BFD8E> /opt/local/apache2/modules/mod_dav_fs.so
       0x100790000 - 0x100791fff +mod_vhost_alias.so ??? (???) <76216270-7C42-2627-F234-EC4E23442EAA> /opt/local/apache2/modules/mod_vhost_alias.so
       0x100794000 - 0x100799fff +mod_negotiation.so ??? (???) <CBCFFE8E-C240-9C3E-D430-E1FFE8757F1D> /opt/local/apache2/modules/mod_negotiation.so
       0x10079d000 - 0x10079dfff +mod_dir.so ??? (???) <200DAEA7-12EB-9190-0F66-A269E8D5314D> /opt/local/apache2/modules/mod_dir.so
       0x1007a0000 - 0x1007a2ff7 +mod_imagemap.so ??? (???) <61FFA463-7266-64DF-EA80-AECA67FC0A72> /opt/local/apache2/modules/mod_imagemap.so
       0x1007a5000 - 0x1007a5ff7 +mod_actions.so ??? (???) <3AF3DB66-E2D6-8537-4777-3AD266CAB9C0> /opt/local/apache2/modules/mod_actions.so
       0x1007a8000 - 0x1007a9fff +mod_speling.so ??? (???) <27C56AA4-639E-8209-0229-EC2F6A9E5AD8> /opt/local/apache2/modules/mod_speling.so
       0x1007ac000 - 0x1007acff7 +mod_userdir.so ??? (???) <2973C796-A9CA-91BE-79A4-16C0A6645550> /opt/local/apache2/modules/mod_userdir.so
       0x1007af000 - 0x1007b0ff7 +mod_alias.so ??? (???) <EA17E82E-77A0-6019-3219-534BB5523366> /opt/local/apache2/modules/mod_alias.so
       0x1007b3000 - 0x1007befff +mod_rewrite.so ??? (???) <1B1A6EB2-B4B8-5085-BA1C-253921A52AA1> /opt/local/apache2/modules/mod_rewrite.so
       0x1007c3000 - 0x1007edff7 +libncurses.5.dylib ??? (???) <05CDC4DB-515D-BAFC-4A4B-04FD4935052A> /opt/local/lib/libncurses.5.dylib
       0x1007fa000 - 0x1007fbfff +libXau.6.dylib ??? (???) <E390030A-8E99-E7CF-7365-DAFD942DAC82> /opt/local/lib/libXau.6.dylib
       0x101000000 - 0x1014f7fe7 +libphp5.so ??? (???) <23FC12E7-B06A-AEBA-C244-ADBFE8FBB321> /opt/local/apache2/modules/libphp5.so
       0x1015dc000 - 0x101604ff7 +libreadline.6.dylib ??? (???) <EE5216D5-1CBF-4819-F30F-6BBA6F9056E2> /opt/local/lib/libreadline.6.dylib
       0x10161a000 - 0x101628fef +libbz2.1.0.dylib ??? (???) <B6E41851-BB69-F59B-A3A4-47DBE5F7327B> /opt/local/lib/libbz2.1.0.dylib
       0x10162d000 - 0x10174efe7 +libxml2.2.dylib ??? (???) <5F7A72C7-0037-A297-62FA-10E6C17ADEF6> /opt/local/lib/libxml2.2.dylib
       0x10177f000 - 0x1017d4ff7 +mod_passenger.so ??? (???) <A89D0AAA-9B21-C8FB-9E63-B924DC77B30D> /opt/local/lib/ruby/gems/1.8/gems/passenger-2.2.5/ext/apache2/mod_passenger.so
       0x101864000 - 0x101882fff libapr-1.0.dylib ??? (???) <77712CC8-C4CF-E0E8-B740-B55192C05CB9> /usr/lib/libapr-1.0.dylib
       0x10188f000 - 0x1018a7fe7 libaprutil-1.0.dylib ??? (???) <3D7EBE21-7A3D-E46C-1E3E-361F98170429> /usr/lib/libaprutil-1.0.dylib
       0x101941000 - 0x10194cfe7 +curl.so ??? (???) <E851ED46-8E54-E756-B6BC-B637E4FC79B2> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/curl.so
       0x101951000 - 0x101959fef +exif.so ??? (???) <7DCC2FEB-B4BB-5E43-6710-2AAEBC9D9382> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/exif.so
       0x10195f000 - 0x10196dff7 +libXext.6.dylib ??? (???) <CD3F884F-0480-4EF8-61AF-9526521EA6F5> /opt/local/lib/libXext.6.dylib
       0x101973000 - 0x101976fff +libXdmcp.6.dylib ??? (???) <9DAAC86D-3E4E-9826-F63C-3BEB803D2897> /opt/local/lib/libXdmcp.6.dylib
       0x10197b000 - 0x101995ff7 +suhosin.so ??? (???) <8A06CDA1-B5B3-F892-8576-1E3B3A2AD5E2> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/suhosin.so
       0x1019a9000 - 0x1019d2fef +xdebug.so ??? (???) <EB635B3D-AEA1-D717-4394-948779F4ABFA> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/xdebug.so
       0x1019e9000 - 0x101a1efe7 +libcurl.4.dylib ??? (???) <6F25DC70-B0E4-9E73-8226-AC7A28C43F1A> /opt/local/lib/libcurl.4.dylib
       0x101a26000 - 0x101a69fe7 +gd.so ??? (???) <58B42230-ABAF-1301-47FB-5DCB81097650> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/gd.so
       0x101a79000 - 0x101af8fff +libfreetype.6.dylib ??? (???) <D5E40C9C-024C-A27B-2D9D-8C0C783410D2> /opt/local/lib/libfreetype.6.dylib
       0x101b0d000 - 0x101b2efef +libpng12.0.dylib ??? (???) <783978B8-2410-A0F1-EAC8-8373AF681B50> /opt/local/lib/libpng12.0.dylib
       0x101b35000 - 0x101b69ff7 +libjpeg.7.dylib ??? (???) <655C2C3E-2B6A-3BDA-0935-910ED27ADC26> /opt/local/lib/libjpeg.7.dylib
       0x101b70000 - 0x101ba6fef +imagick.so ??? (???) <459EF5B6-ABE5-CC45-F6D7-45D8587232FB> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/imagick.so
       0x101bcf000 - 0x101cd8ff7 +libMagickWand.2.dylib ??? (???) <40FA0B72-E9A2-885D-C42E-5642F2D6B846> /opt/local/lib/libMagickWand.2.dylib
       0x101cf6000 - 0x101d4ffef +libtiff.3.dylib ??? (???) <41147F1D-3AA7-5D90-8170-414CB9E01127> /opt/local/lib/libtiff.3.dylib
       0x101d5c000 - 0x101d8aff7 +libfontconfig.1.dylib ??? (???) <DB1631D4-A83D-6A71-CE56-7E992F9CBE16> /opt/local/lib/libfontconfig.1.dylib
       0x101d95000 - 0x101de2fe7 +libXt.6.dylib ??? (???) <F647E3DD-0104-B4D3-7F69-8403797744DD> /opt/local/lib/libXt.6.dylib
       0x101dfa000 - 0x101e00fef +libltdl.7.dylib ??? (???) <1D0181A0-E0F5-5711-2FD9-E6B634BDD059> /opt/local/lib/libltdl.7.dylib
       0x101e04000 - 0x101e09ff7 +libSM.6.dylib ??? (???) <9CEEA346-4339-A296-1347-F11F1F1A7769> /opt/local/lib/libSM.6.dylib
       0x101e0d000 - 0x101e1ffff +libICE.6.dylib ??? (???) <EDE527AC-FC54-4FAE-5B3E-A14D8F18AC57> /opt/local/lib/libICE.6.dylib
       0x101e29000 - 0x101f4bfe7 +libX11.6.dylib ??? (???) <73436033-F5D1-B24D-0599-1283521B0670> /opt/local/lib/libX11.6.dylib
       0x101f6f000 - 0x10211afff +libMagickCore.2.dylib ??? (???) <1AF4360C-6E3A-73CD-3D29-1F9789020AA4> /opt/local/lib/libMagickCore.2.dylib
       0x1021b3000 - 0x102383fef +mbstring.so ??? (???) <418F0236-7407-E98C-1371-DC2A7FC29DB4> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/mbstring.so
       0x1023a3000 - 0x1023a7fff +mcrypt.so ??? (???) <EE326C7B-C697-26AC-EB8B-502E86C17BA9> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/mcrypt.so
       0x1023ad000 - 0x1023d2fef +libmcrypt.4.dylib ??? (???) <26FED98B-97F8-7AF6-A75D-D12E8149658E> /opt/local/lib/libmcrypt.4.dylib
       0x1023e4000 - 0x1023edfff +memcache.so ??? (???) <7795B509-DC4A-5D2A-29FD-A179DDF1C5A7> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/memcache.so
       0x1023f2000 - 0x1023f8fff +mysql.so ??? (???) <CE9228C4-0085-C2CA-AC05-D9CC1456DADF> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/mysql.so
       0x1023fe000 - 0x10240fff7 +mysqli.so ??? (???) <D7174CE0-3B57-589C-E55B-C9DC23BC7F4B> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/mysqli.so
       0x10241a000 - 0x10241efef +pdo_mysql.so ??? (???) <6C2B4813-35FC-1FB0-F23C-B8C37A76DCBB> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/pdo_mysql.so
       0x102422000 - 0x102432fef +openssl.so ??? (???) <AFBFEFE4-FB60-833C-401D-903E3D91401D> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/openssl.so
       0x10243f000 - 0x102445fff +sockets.so ??? (???) <22C91B4B-F38A-545D-2079-21E9828A9D50> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/sockets.so
       0x10244a000 - 0x102496fe7 +sqlite.so ??? (???) <38FBADEC-3895-B8AC-D713-1CC8B5136694> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/sqlite.so
       0x1024a9000 - 0x1024afff7 +sqlite3.so ??? (???) <A46126BA-F204-BFA9-386E-F1084DF8CD9D> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/sqlite3.so
       0x1024b6000 - 0x102526fef +libsqlite3.0.dylib ??? (???) <BD2456B5-A280-DFD0-41CF-648E7B3C6004> /opt/local/lib/libsqlite3.0.dylib
       0x102536000 - 0x102539fef +pdo_sqlite.so ??? (???) <A8EC104D-E665-70C5-0CA3-E9F8B6B19D6D> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/pdo_sqlite.so
       0x10253e000 - 0x102545fff +tidy.so ??? (???) <491F5D05-CC84-802C-5FF5-A0B076BA817C> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/tidy.so
       0x10254b000 - 0x10258aff7 +libtidy-0.99.0.dylib ??? (???) <55267EDB-A852-B60B-D441-CDECABFADF6A> /opt/local/lib/libtidy-0.99.0.dylib
       0x1025c3000 - 0x1025d1fff +zip.so ??? (???) <62BE93A3-AEE3-F047-3CB1-D65F32267FC8> /opt/local/lib/php/extensions/no-debug-non-zts-20090626/zip.so
    0x7fff5fc00000 - 0x7fff5fc3bdef dyld 132.1 (???) <B633F790-4DDB-53CD-7ACF-2A3682BCEA9F> /usr/lib/dyld
    0x7fff805cb000 - 0x7fff80681fff libobjc.A.dylib ??? (???) <F206BE6D-8777-AE6C-B367-7BEA76C14241> /usr/lib/libobjc.A.dylib
    0x7fff8068a000 - 0x7fff8068bff7 com.apple.TrustEvaluationAgent 1.1 (1) <51867586-1C71-AE37-EAAD-535A58DD3550> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff80974000 - 0x7fff80978ff7 libmathCommon.A.dylib ??? (???) <95718673-FEEE-B6ED-B127-BCDBDB60D4E5> /usr/lib/system/libmathCommon.A.dylib
    0x7fff80eca000 - 0x7fff80f01ff7 libssl.0.9.8.dylib ??? (???) <2D7FAEF9-A3CD-9F80-7CDE-852D3C93AEDB> /usr/lib/libssl.0.9.8.dylib
    0x7fff81280000 - 0x7fff812bdfff com.apple.LDAPFramework 2.0 (120.1) <05A853F5-76B9-AF27-6548-A2450AE86451> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8260f000 - 0x7fff8265bfff libauto.dylib ??? (???) <072804DF-36AD-2DBE-7EF8-639CFB79077F> /usr/lib/libauto.dylib
    0x7fff832e8000 - 0x7fff833f7ff7 libcrypto.0.9.8.dylib ??? (???) <A2DA70D0-02AE-89FA-1CDA-B3CA986CAE6D> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff84508000 - 0x7fff8451afe7 libsasl2.2.dylib ??? (???) <76B83C8D-8EFE-4467-0F75-275648AFED97> /usr/lib/libsasl2.2.dylib
    0x7fff84741000 - 0x7fff84762fff libresolv.9.dylib ??? (???) <01C7C750-7F6A-89B3-C586-5C50A839019E> /usr/lib/libresolv.9.dylib
    0x7fff84818000 - 0x7fff849d6ff7 libSystem.B.dylib ??? (???) <526DD3E5-2A8B-4512-ED97-01B832369959> /usr/lib/libSystem.B.dylib
    0x7fff849d7000 - 0x7fff84b95fff libicucore.A.dylib ??? (???) <5BD16988-545F-6A8C-9A6F-FB18ACDCAEC2> /usr/lib/libicucore.A.dylib
    0x7fff84c42000 - 0x7fff84ec7ff7 com.apple.security 6.0 (36910) <67DF686D-B991-D0D6-20B6-9EA668018466> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff850d1000 - 0x7fff850e2fef libz.1.dylib ??? (???) <3A7A4C48-A4C8-A78A-8B87-C0DDF6601AC8> /usr/lib/libz.1.dylib
    0x7fff851f4000 - 0x7fff85216ff7 libexpat.1.dylib ??? (???) <8EC31253-B585-D05E-F35D-AE3292FB790B> /usr/lib/libexpat.1.dylib
    0x7fff8588c000 - 0x7fff85945fff libsqlite3.dylib ??? (???) <5A15E12A-AE8F-1A36-BBC7-564E7D7AD0FB> /usr/lib/libsqlite3.dylib
    0x7fff85cb6000 - 0x7fff85e29ff7 com.apple.CoreFoundation 6.6.1 (550.13) <1E952BD9-37C6-16BE-B2F0-CD92A6283D37> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff85fae000 - 0x7fff860a6fe7 libiconv.2.dylib ??? (???) <ECEE3D93-B5E3-F0E0-803E-CA3DC3B33D57> /usr/lib/libiconv.2.dylib
    0x7fff8624c000 - 0x7fff862fbfff edu.mit.Kerberos 6.5.9 (6.5.9) <42364D54-C647-14DE-2B1C-D94DAA03F092> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff86ac3000 - 0x7fff86b40fef libstdc++.6.dylib ??? (???) <35ECA411-2C08-FD7D-11B1-1B7A04921A5C> /usr/lib/libstdc++.6.dylib
    0x7fffffe00000 - 0x7fffffe01fff libSystem.B.dylib ??? (???) <526DD3E5-2A8B-4512-ED97-01B832369959> /usr/lib/libSystem.B.dylib
(0001262)
derick (administrator)
2010-01-07 14:17

Looks like my fix for the threaded Apache broke it for the normal one. I'll have a look.
(0001266)
derick (administrator)
2010-01-10 20:16

Please try the latest SVN version, this is most likely fixed now.
(0001269)
otto (reporter)
2010-01-10 20:36

No more crashes. Thanks!
But now I get another issue. When I continue after my breakpoint netbeans starts spewing out socket exception dialogs and I have to force kill it. Any ideas? This didn't happen with my old snapshot (middle of oct). Should I open a new issue for this? How can I debug this? Do you need an xdebug remote log?
(0001272)
derick (administrator)
2010-01-11 11:17

Cool, thanks for testing. And yes, please open a new issue with a remote log attached!

- Issue History
Date Modified Username Field Change
2010-01-01 18:27 otto New Issue
2010-01-01 18:27 otto Operating System => osx 10.6.2
2010-01-01 18:27 otto PHP Version => 5.3.0
2010-01-01 18:27 otto Xdebug Version => 2.1.0-dev
2010-01-02 22:55 derick Note Added: 0001244
2010-01-02 22:55 derick Status new => feedback
2010-01-07 09:57 otto Note Added: 0001259
2010-01-07 12:11 otto Note Added: 0001260
2010-01-07 12:55 otto Note Edited: 0001260
2010-01-07 14:14 Stefano Note Added: 0001261
2010-01-07 14:17 derick Note Added: 0001262
2010-01-07 14:17 derick Status feedback => confirmed
2010-01-10 20:16 derick Note Added: 0001266
2010-01-10 20:16 derick Status confirmed => feedback
2010-01-10 20:36 otto Note Added: 0001269
2010-01-11 11:17 derick Note Added: 0001272
2010-01-11 11:17 derick Status feedback => closed
2010-01-11 11:17 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker